Bug 471586 - cover all public rl-functions with unit tests, make the test suite pass
cover all public rl-functions with unit tests, make the test suite pass
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
26
All Linux
low Severity medium
: ---
: ---
Assigned To: Ales Zelinka
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: 472026 472029 472249 472366 478837 478980 478982 479019 479022 480982
  Show dependency treegraph
 
Reported: 2008-11-14 09:35 EST by Ales Zelinka
Modified: 2018-05-03 04:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 480982 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
new unit test (939 bytes, patch)
2008-11-14 09:37 EST, Ales Zelinka
no flags Details | Diff
Excludes rlj-functions from coverage test. (957 bytes, patch)
2008-11-20 09:20 EST, Ales Zelinka
no flags Details | Diff
make journal tests work on fedora (736 bytes, application/mbox)
2015-03-26 12:36 EDT, Ales Zelinka
no flags Details

  None (edit)
Description Ales Zelinka 2008-11-14 09:35:23 EST
Description of problem:
Currently only about 25% of functions are covered with tests and of those 25% only half pass. Fix that so it became 100%/100%.
Comment 1 Ales Zelinka 2008-11-14 09:37:36 EST
Created attachment 323579 [details]
new unit test

Very simple unit test checking function test coverage. Implementation is so trivial it's almost not working, but we have to start somewhere, haven't we? ;)
Comment 2 Ales Zelinka 2008-11-20 09:20:56 EST
Created attachment 324179 [details]
Excludes rlj-functions from coverage test.
Comment 3 Petr Šplíchal 2008-12-09 10:56:51 EST
This is a tracking bug for all unit tests, not ready to be released -> ASSIGNED.
Comment 5 Fedora End Of Life 2013-04-03 15:56:24 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora Admin XMLRPC Client 2014-09-02 08:14:02 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2015-01-09 16:37:44 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Ales Zelinka 2015-03-25 11:31:00 EDT
Current master:
>  [ FAIL ] Total summary: 763 passed, 28 failed

And some failures seem like real functional regressions, not just "didn't run as root" errors... The testsuite has deteriorated quite a bit.

CCing other Beakerlib maintainers. This should IMO be everyone's concern!
Comment 9 Petr Muller 2015-03-25 12:15:21 EDT
I kept the testsuite clean for Fedora (=13 failures stemming from the uncovered functions online), not sure what happened in the meantime.
Comment 10 Ales Zelinka 2015-03-25 12:33:39 EDT
I'll take a look, fix what can be fixed easily and setup a CI-style service spamming committers and maintainers with fails so it remains visible. Stay tuned.
Comment 11 Ales Zelinka 2015-03-26 12:36:38 EDT
Created attachment 1006889 [details]
make journal tests work on fedora
Comment 12 Jan Kurik 2015-07-15 11:22:28 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 13 Fedora End Of Life 2016-11-24 05:23:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2017-02-28 04:28:21 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.
Comment 15 Fedora End Of Life 2018-05-03 04:13:59 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.